import request from '@/config/axios'

export interface ScheduleSchemeVO {
  id: string
  code: string
  name: string
  triggerMethod: string
  triggerCondition: string
  scheduleObj: string
  scheduleType: string
  scheduleStrategy: string
  modelId: string
  scheduleTime: string
  remark: string
  status: number
  mpkprojectid: string
}

export interface ScheduleSchemePageReqVO extends PageParam {
  modelCode?: string
  modelName?: string
}

// 查询ScheduleScheme列表
export const getScheduleSchemePage = (params: ScheduleSchemePageReqVO) => {
  return request.get({ url: '/model/sche/scheme/page', params })
}

// 查询ScheduleScheme详情
export const getScheduleScheme = (id: number) => {
  return request.get({ url: '/model/sche/scheme/get?id=' + id})
}

// 新增ScheduleScheme
export const createScheduleScheme = (data: ScheduleSchemeVO) => {
  return request.post({ url: '/model/sche/scheme/create', data })
}

// 修改ScheduleScheme
export const updateScheduleScheme = (data: ScheduleSchemeVO) => {
  return request.put({ url: '/model/sche/scheme/update', data })
}

// 删除ScheduleScheme
export const deleteScheduleScheme = (id: number) => {
  return request.delete({ url: '/model/sche/scheme/delete?id=' + id })
}
